<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.

/**
 * Plugin message providers are defined here.
 *
 * @package     mod_exammanagement
 * @category    message
 * @copyright   2022 coactum GmbH
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$messageproviders = [

    'groupmessage' => [
        'capability' => 'mod/exammanagement:receivegroupmessage',
        'defaults' => [
            'popup' => MESSAGE_FORCED,
            'email' => MESSAGE_FORCED,
        ],
    ],

    'passwordresetrequest' => [
        'capability' => 'mod/exammanagement:requestpasswordreset',
        'defaults' => [
            'popup' => MESSAGE_FORCED,
            'email' => MESSAGE_FORCED,
        ],
    ],

    'passwordresetmessage' => [
        'capability' => 'mod/exammanagement:requestpasswordreset',
        'defaults' => [
            'popup' => MESSAGE_FORCED,
            'email' => MESSAGE_FORCED,
        ],
    ],

    'deletionwarningmessage' => [
        'capability' => 'mod/exammanagement:receivedeletionwarningmessages',
        'defaults' => [
            'popup' => MESSAGE_FORCED,
            'email' => MESSAGE_FORCED,
        ],
    ],
];
